Module RI_functions

    !RI functions. Currently only the Cauchy.
    ! To use other dispersion relations, you need to rederive matrix A and vector d.
    
    use working_precision
    
Implicit None
    
Contains
 
Function Cauchy_RI(Nt,t,v)

	!The RI calculated using the Cauchy expression
	real(wp) :: Cauchy_RI

	integer :: Nt !the number of terms in the Cauchy expression

	real(wp) :: t(0:Nt) !the coefficients

	real(wp) :: v !the wavenumber that the RI is calculated at

	integer :: j
	
	Cauchy_RI = 0.0_wp
	
	do j = 0, Nt
		Cauchy_RI = Cauchy_RI + t(j)*(v**(2*j))
	end do

End Function Cauchy_RI

End Module RI_functions